# frozen_string_literal: true

module BitmapCompiler
  module Core
    # Output entity
    class Output
      attr_reader :bitmap, :message

      def initialize(args = {})
        @bitmap = args[:bitmap]
        @message = args[:message]
      end

      def print
        return unless message

        $stdout.write message.chomp ''
        $stdout.write "\n"
      end
    end
  end
end
